/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 24, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.appkit.NSSpeechSynthesizer_bindings;

import dstep.objc.objc;

extern (C)
{
	extern
	{
		package const id NSVoiceName;
		package const id NSVoiceIdentifier;
		package const id NSVoiceAge;
		package const id NSVoiceGender;
		package const id NSVoiceDemoText;
		package const id NSVoiceLocaleIdentifier;
		package const id NSVoiceSupportedCharacters;
		package const id NSVoiceIndividuallySpokenCharacters;
		package const id NSVoiceGenderNeuter;
		package const id NSVoiceGenderMale;
		package const id NSVoiceGenderFemale;
		package const id NSSpeechStatusProperty;
		package const id NSSpeechErrorsProperty;
		package const id NSSpeechInputModeProperty;
		package const id NSSpeechCharacterModeProperty;
		package const id NSSpeechNumberModeProperty;
		package const id NSSpeechRateProperty;
		package const id NSSpeechPitchBaseProperty;
		package const id NSSpeechPitchModProperty;
		package const id NSSpeechVolumeProperty;
		package const id NSSpeechSynthesizerInfoProperty;
		package const id NSSpeechRecentSyncProperty;
		package const id NSSpeechPhonemeSymbolsProperty;
		package const id NSSpeechCurrentVoiceProperty;
		package const id NSSpeechCommandDelimiterProperty;
		package const id NSSpeechResetProperty;
		package const id NSSpeechOutputToFileURLProperty;
		package const id NSSpeechModeText;
		package const id NSSpeechModePhoneme;
		package const id NSSpeechModeNormal;
		package const id NSSpeechModeLiteral;
		package const id NSSpeechStatusOutputBusy;
		package const id NSSpeechStatusOutputPaused;
		package const id NSSpeechStatusNumberOfCharactersLeft;
		package const id NSSpeechStatusPhonemeCode;
		package const id NSSpeechErrorCount;
		package const id NSSpeechErrorOldestCode;
		package const id NSSpeechErrorOldestCharacterOffset;
		package const id NSSpeechErrorNewestCode;
		package const id NSSpeechErrorNewestCharacterOffset;
		package const id NSSpeechSynthesizerInfoIdentifier;
		package const id NSSpeechSynthesizerInfoVersion;
		package const id NSSpeechPhonemeInfoOpcode;
		package const id NSSpeechPhonemeInfoSymbol;
		package const id NSSpeechPhonemeInfoExample;
		package const id NSSpeechPhonemeInfoHiliteStart;
		package const id NSSpeechPhonemeInfoHiliteEnd;
		package const id NSSpeechCommandPrefix;
		package const id NSSpeechCommandSuffix;
		package const id NSSpeechDictionaryLocaleIdentifier;
		package const id NSSpeechDictionaryModificationDate;
		package const id NSSpeechDictionaryPronunciations;
		package const id NSSpeechDictionaryAbbreviations;
		package const id NSSpeechDictionaryEntrySpelling;
		package const id NSSpeechDictionaryEntryPhonemes;
	}
}