/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Aug 3, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.foundation.FoundationErrors;

import dstep.foundation.NSObject;
import dstep.objc.bridge.Bridge;
import dstep.objc.objc;



enum
{
	NSFileNoSuchFileError = 4,
	NSFileLockingError = 255,
	NSFileReadUnknownError = 256,
	NSFileReadNoPermissionError = 257,
	NSFileReadInvalidFileNameError = 258,
	NSFileReadCorruptFileError = 259,
	NSFileReadNoSuchFileError = 260,
	NSFileReadInapplicableStringEncodingError = 261,
	NSFileReadUnsupportedSchemeError = 262,
	NSFileReadTooLargeError = 263,
	NSFileReadUnknownStringEncodingError = 264,
	NSFileWriteUnknownError = 512,
	NSFileWriteNoPermissionError = 513,
	NSFileWriteInvalidFileNameError = 514,
	NSFileWriteInapplicableStringEncodingError = 517,
	NSFileWriteUnsupportedSchemeError = 518,
	NSFileWriteOutOfSpaceError = 640,
	NSKeyValueValidationError = 1024,
	NSFormattingError = 2048,
	NSUserCancelledError = 3072,
	NSExecutableNotLoadableError = 3584,
	NSExecutableArchitectureMismatchError = 3585,
	NSExecutableRuntimeMismatchError = 3586,
	NSExecutableLoadError = 3587,
	NSExecutableLinkError = 3588,
	NSFileErrorMinimum = 0,
	NSFileErrorMaximum = 1023,
	NSValidationErrorMinimum = 1024,
	NSValidationErrorMaximum = 2047,
	NSExecutableErrorMinimum = 3584,
	NSExecutableErrorMaximum = 3839,
	NSFormattingErrorMinimum = 2048,
	NSFormattingErrorMaximum = 2559
}

